<template>
  <div>
    <form class="login" @submit.prevent="save">
      <h1>Edit Memsource credentials</h1>
      <label>Memsource api user</label>
      <input required
             type="text"
             ref="memsourceUsername"
             placeholder="Memsource api username"
      />
      <label>Memsource api password</label>
      <input required
             type="password"
             ref="memsourcePassword"
             placeholder="Memsource api password"
      />
      <hr/>
      <button type="submit">Save</button>
    </form>
    <hr/>
    <router-link to="/projects">Zpět</router-link>
  </div>
</template>

<style>
.login {
  display: flex;
  flex-direction: column;
  width: 300px;
  padding: 10px;
}
</style>

<script>
import AuthService from '../../services/auth'

export default {
  name: 'register',
  data () {
    return {
      loading: false,
      error: false
    }
  },
  methods: {
    save: function () {
      this.loading = true
      this.error = false
      const tempUser = {
        memsourceApiUser: this.$refs.memsourceUsername.value,
        memsourceApiPassword: this.$refs.memsourcePassword.value
      }
      AuthService.editUser(tempUser, () => {
        this.loading = false
        alert('Změny ulozeny')
        this.$router.push({name: 'Projects'})
      }, () => {
        alert('Chyba')
        this.loading = false
      })
    }
  }
}
</script>
